> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a monitor

> Permanently delete a monitor. To stop new runs without losing the monitor, update its status to `inactive` instead.



## OpenAPI

````yaml /api-rest/openapi/openapi_search_monitoring.json delete /v1/search-monitoring/monitors/{monitor_id}
openapi: 3.1.0
info:
  title: Monitors API
  description: >-
    Coming soon. Run a saved Bigdata Search on a schedule and receive structured
    events from new content. Test a monitor against recent historical data
    before turning it on.
  version: 1.0.0
servers:
  - url: https://api.bigdata.com
    description: Production server
security:
  - API Key Authentication: []
tags:
  - name: Monitors
    description: Coming soon. Create, test, activate, and review monitors.
paths:
  /v1/search-monitoring/monitors/{monitor_id}:
    parameters:
      - $ref: '#/components/parameters/MonitorId'
    delete:
      tags:
        - Monitors
      summary: Delete a monitor
      description: >-
        Permanently delete a monitor. To stop new runs without losing the
        monitor, update its status to `inactive` instead.
      operationId: deleteMonitor
      responses:
        '204':
          description: Monitor deleted.
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  parameters:
    MonitorId:
      name: monitor_id
      in: path
      required: true
      description: Unique identifier for the monitor.
      schema:
        type: string
        format: uuid
      example: 6af74cb7-0a6e-4ea0-8421-acde4c85e56a
  responses:
    ValidationError:
      description: Validation error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HTTPValidationError'
  schemas:
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
          additionalProperties: true
      required:
        - loc
        - msg
        - type
  securitySchemes:
    API Key Authentication:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key created in the Bigdata Developer Platform.

````